Subject: RE: URGENT REMINDER: [XCON] Conference Control: Path Forward

From: "Sean Olson" <[email-masked]>
Date: Tue, 29 Nov 2005 09:15:56 -0800

Renaming CCCP is not a bad idea.... We use C3P internally and I'm sure
we could come up with a better name :-)

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Joerg Ott
Sent: Tuesday, November 29, 2005 2:38 AM
To: Mary Barnes
Cc: Adam Roach; Adam Roach; XCON-IETF
Subject: Re: URGENT REMINDER: [XCON] Conference Control: Path Forward

As for the process: this seems reasonable.  The only thing possibly
missing is a measure on the actual support and review the proposals and
ultimately the WG document will get so that discussions and a decision
will be well-founded (item 3 and beyond).  This is just in reaction to
the lack of response to your last email (which, like Mary, I also read
as summary not requiring action).

We have tried conference control for a few times in the IETF.
This time, finally, I thought there should be sufficient motivation...

And somewhat off-topic:

Can we please rename CCCP now or in the final version (if it comes to
one)?  People should be aware that CCCP stands for a distributed
(multicast-based) conference control protocol developed in the mid 1990s
in the context of Mbone applications (published at SIGCOMM 1995).

Since this is a totally different approach in the same area, we should
not re-use the acronym (or at least pretend that we have been doing our
review of past work in that space and put a reference and a
corresponding statement into the draft).

(Some time back I thought CCCP was merely kept as the draft name rather
than protocol name; this is why I did not speak up earlier.)

Cheers,
Joerg

> Sorry, I had read the previous email as merely summarizing the WG 
> discussion in Vancouver, however, upon re-reading I can see the need 
> for discussion.  I agree with the general approach for the way 
> forward.  I have a process question around Item 2, as to whether 
> there's a deadline for that summary.  Were you expecting that summary 
> prior to Dec 31st (i.e. are you wanting folks to let you know right 
> now whether they'll be submitting proposals for that deadline)?  Or is

> that something that can be submitted around the same time as the 
> protocol is submitted for discussion?
> 
> My understanding is that we have 2 fairly concrete proposals on the
> table: CCCP and CSCP, with a potential 3rd protocol based on SOAP that

> some of us are interested in evolving, provided we can eek out the
time
> to put something more detailed together.   
> 
> I'll start a separate thread to discuss in more detail some 
> requirements for the protocol.
> 
> Mary
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Adam Roach
> Sent: Monday, November 28, 2005 4:22 PM
> To: Adam Roach
> Cc: XCON-IETF
> Subject: URGENT REMINDER: [XCON] Conference Control: Path Forward
> 
> 
> [as chair]
> 
> If anyone in the working group cares about the protocol we end up 
> selecting for conference control -- or, indeed, finishing our work at 
> all -- they are strongly advised to participate in this conversation. 
> If
> 
> we can't get any participation around our deliverables, we really have

> no choice but to shut the working group down.
> 
> /a
> 
> Adam Roach wrote:
> 
> 
>>[as chair]
>>
>>In Vancouver, the XCON chairs outlined a process by which we would 
>>attempt to meet our proposed milestones. This message summarizes that 
>>process, as amended by the input we received from the XCON
> 
> participants.
> 
>>  1. Proposals for candidates for the Conference Control Protocol
> 
> (CCP)
> 
>>     must be submitted in internet-draft format no later than December
>>     31st, 2005. The draft does not need to be complete; however,
> 
> there
> 
>>     must be sufficient detail to make clear how the proposed protocol
>>     would be used to modify information in both the Common Conference
>>     Information and Conference Template. (See
>>     draft-ietf-xcon-framework for definitions).
>>
>>  2. All protocols to be considered additionally need a brief message
>>     from an author and/or proponent of the corresponding draft that
>>     explains the design decisions taken in the design of the
> 
> protocol,
> 
>>     as well as a summary of strengths and drawbacks of the approach.
>>     Such proponents should contact the XCON chairs to coordinate.
>>         * Such proponents should discuss implementation lessons, if
>>           available, around using their proposed protocol to modify
>>           the Common Conference Information.
>>         * Separately, such proponents should additionally discuss
>>           implementation lessons, if available, around using their
>>           proposed protocol to modify the Conference Template.
>>
>>  3. Starting in early January, the chairs will call for discussion on
>>     the mailing list to gauge the overall direction the working group
>>     wishes to proceed.
>>
>>  4. Between now and January, interested parties should discuss their
>>     requirements around the CCP on the mailing list. These
> 
> discussions
> 
>>     should assist in coming to consensus on the CCP that XCON will
> 
> use.
> 
>>Hopefully, the result of the January discussions will resolve to a 
>>single approach (either by selection of one of the proposals or by 
>>combining one or more of them into a unified proposal).
>>
>>/a
>>
>>_______________________________________________
>>XCON mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/xcon
>>
> 
> 
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 
> 
> _______________________________________________
> XCON mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/xcon
> 

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon

_______________________________________________
XCON mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/xcon